org.apache.hadoop.mapreduce.v2.app.job.event

## Class TaskTAttemptFailedEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<TaskEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskTAttemptEvent
      - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskTAttemptFailedEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<TaskEventType>

      public class TaskTAttemptFailedEvent
      extends TaskTAttemptEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskTAttemptFailedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)`
    `TaskTAttemptFailedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, boolean fastFail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFastFail()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskTAttemptEvent

      `getTaskAttemptID`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent

      `getTaskID`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskTAttemptFailedEvent

          public TaskTAttemptFailedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id)

    - #### TaskTAttemptFailedEvent

          public TaskTAttemptFailedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id,
                                         boolean fastFail)

  - ### Method Detail

    - #### isFastFail

          public boolean isFastFail()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.